Package com.salesforce.datacloud.jdbc.core.accessor.impl

## Class TimeStampVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.TimeStampVectorAccessor

All Implemented Interfaces:
  `org.apache.calcite.avatica.util.Cursor.Accessor`

    public class TimeStampVectorAccessor
    extends QueryJDBCAccessor

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
`TimeStampVectorAccessor​(org.apache.arrow.vector.TimeStampVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Date` `getDate​(Calendar calendar)`
`Object` `getObject()`
`Class<?>` `getObjectClass()`
`String` `getString()`
`Time` `getTime​(Calendar calendar)`
`Timestamp` `getTimestamp​(Calendar calendar)`
`protected static TimeUnit` `getTimeUnitForVector​(org.apache.arrow.vector.TimeStampVector vector)`
`protected static TimeZone` `getTimeZoneForVector​(org.apache.arrow.vector.TimeStampVector vector)`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCurrentRow, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeStampVectorAccessor

    public TimeStampVectorAccessor​(org.apache.arrow.vector.TimeStampVector vector,
                                   IntSupplier currentRowSupplier,
                                   QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)
                            throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getDate

    public Date getDate​(Calendar calendar)

Specified by:
  `getDate` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getDate` in class `QueryJDBCAccessor`

#### getTime

    public Time getTime​(Calendar calendar)

Specified by:
  `getTime` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getTime` in class `QueryJDBCAccessor`

#### getTimestamp

    public Timestamp getTimestamp​(Calendar calendar)

Specified by:
  `getTimestamp` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getTimestamp` in class `QueryJDBCAccessor`

#### getObjectClass

    public Class<?> getObjectClass()

Specified by:
  `getObjectClass` in class `QueryJDBCAccessor`

#### getObject

    public Object getObject()

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getObject` in class `QueryJDBCAccessor`

#### getString

    public String getString()

Specified by:
  `getString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getString` in class `QueryJDBCAccessor`

#### getTimeZoneForVector

    protected static TimeZone getTimeZoneForVector​(org.apache.arrow.vector.TimeStampVector vector)

#### getTimeUnitForVector

    protected static TimeUnit getTimeUnitForVector​(org.apache.arrow.vector.TimeStampVector vector)
                                            throws SQLException

Throws:
  `SQLException`